## wireviz 0.4.1

=== requirements.txt ===
click
graphviz
pillow
pyyaml
setuptools

=== debian/changelog ===
wireviz (0.4.1-5) unstable; urgency=medium

  * Clarify Multi-Arch field

 -- Christopher Obbard <obbardc@debian.org>  Fri, 22 Aug 2025 19:59:30 +0100

wireviz (0.4.1-4) unstable; urgency=medium

  * Install wireviz package to the right place

 -- Christopher Obbard <obbardc@debian.org>  Sat, 01 Mar 2025 19:10:52 +0000

wireviz (0.4.1-3) unstable; urgency=medium

  * Fix spelling in description
  * Bump Standards-Version to 4.7.2

 -- Christopher Obbard <obbardc@debian.org>  Fri, 28 Feb 2025 13:06:59 +0000

wireviz (0.4.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.1
  * Separate docs & example projects into wireviz-docs

 -- Christopher Obbard <obbardc@debian.org>  Mon, 24 Feb 2025 10:44:21 +0000

wireviz (0.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1061328)

 -- Christopher Obbard <obbardc@debian.org>  Mon, 10 Feb 2025 19:16:14 +0000

=== debian/control ===
Source: wireviz
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders:
 Christopher Obbard <obbardc@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://github.com/WireViz/wireviz
Vcs-Browser: https://salsa.debian.org/electronics-team/wireviz
Vcs-Git: https://salsa.debian.org/electronics-team/wireviz.git

Package: wireviz
Architecture: all
Multi-Arch: foreign
Depends:
 python3-click,
 python3-graphviz,
 python3-pillow,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 wireviz-doc
Description: Tool for generating wire connection diagrams from YAML
 WireViz is an open-source tool designed to create electrical connection
 diagrams from YAML-based descriptions. It generates high-quality, vector-based
 schematics using Graphviz.

Package: wireviz-doc
Multi-Arch: foreign
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: WireViz documentation & example projects
 WireViz is an open-source tool designed to create electrical connection
 diagrams from YAML-based descriptions. It generates high-quality, vector-based
 schematics using Graphviz.
 .
 This package contains the documentation and various example projects.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wireviz
export PYBUILD_DESTDIR=$(CURDIR)/debian/wireviz

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/WireViz/wireviz.git refs/tags/v([\d\.]+)
